From 46d438071a9c27aa6ac819b3d353275be2a73fe4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <gitlab@cmatte.me>
Date: Tue, 2 Nov 2021 16:52:33 +0100
Subject: [PATCH 2/3] Use orgname in templates to make them
 organization-generic

---
 web/pglister/lists/templates/base.html                | 6 +++---
 web/pglister/lists/templates/home.html                | 9 +++++----
 web/pglister/lists/templates/unsubscribe_confirm.html | 3 ++-
 web/pglister/lists/templates/unsubscribe_help.html    | 5 +++--
 web/pglister/lists/templates/unsubscribe_link.html    | 3 ++-
 5 files changed, 15 insertions(+), 11 deletions(-)

diff --git a/web/pglister/lists/templates/base.html b/web/pglister/lists/templates/base.html
index feb1e57..3e5389d 100644
--- a/web/pglister/lists/templates/base.html
+++ b/web/pglister/lists/templates/base.html
@@ -3,7 +3,7 @@
           "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
   <head>
-    <title>{%if title%}{{title}} - {%endif%}PostgreSQL mailing lists</title>
+    <title>{%if title%}{{title}} - {%endif%}{% orgname %} mailing lists</title>
     <meta name="viewport" content="width=device-width, initial-scale=1.0"></meta>
     <link href="/media/css/bootstrap.min.css" rel="stylesheet" media="screen"></link>
     <link href="/media/css/pglister.css" rel="stylesheet" media="screen"></link>
@@ -14,8 +14,8 @@
     <div class="container">
       <div class="row">
 	<div class="col-sm-12" id="pglisterhdr">
-	  <a href="/"><img src="/media/img/hdr_left.png" alt="PostgreSQL" /></a>
-	  <img class="pull-right hidden-xs" src="/media/img/hdr_right.png" alt="The world's most advanced open source database" />
+	  <a href="/"><img src="/media/img/hdr_left.png" alt="{% orgname %}" /></a>
+	  <img class="pull-right hidden-xs" src="/media/img/hdr_right.png" />
 	</div>
       </div>
 {%if messages%}
diff --git a/web/pglister/lists/templates/home.html b/web/pglister/lists/templates/home.html
index d122a4b..78847c2 100644
--- a/web/pglister/lists/templates/home.html
+++ b/web/pglister/lists/templates/home.html
@@ -1,13 +1,14 @@
 {%extends "base.html"%}
+{%load pglister%}
 {%block content%}
-<h1>PostgreSQL mailing lists</h1>
+<h1>{% orgname %} mailing lists</h1>
 <p>
   <a class="btn btn-lg btn-primary" href="/manage/">Manage subscriptions</a>
   <a class="btn btn-lg btn-primary" href="/unsubscribe/">Unsubscribe</a>
   <br/><br/>
 </p>
 <p>
-  From this site you can manage all your PostgreSQL mailing list
+  From this site you can manage all your {% orgname %} mailing list
   subscriptions.  To manage them, click on the link above.
 </p>
 <b>Note 1:</b> Please ensure you read the <a href="https://www.postgresql.org/about/policies/archives/">Archive Policy</a>
@@ -26,7 +27,7 @@ unable to deliver mail to our list members.
 </p>
 
 <p>
-  If you are not already logged into your PostgreSQL Community account,
+  If you are not already logged into your {% orgname %} Community account,
   you will be redirected and asked to log in first.  Once you're logged
   in, you can see all of the lists which you are subscribed to with the
   email address associated with your community account.
@@ -38,7 +39,7 @@ unable to deliver mail to our list members.
   using those addresses as well.
 </p>
 <p>
-  If you are a moderator of PostgreSQL mailing lists, you'll have a link
+  If you are a moderator of {% orgname %} mailing lists, you'll have a link
   at the bottom of the page which says "Manage/Moderate lists".  If you
   believe you should have such a link and you do not, please contact the
   PostgreSQL WWW Mailing list.
diff --git a/web/pglister/lists/templates/unsubscribe_confirm.html b/web/pglister/lists/templates/unsubscribe_confirm.html
index af1cd3f..39dc89c 100644
--- a/web/pglister/lists/templates/unsubscribe_confirm.html
+++ b/web/pglister/lists/templates/unsubscribe_confirm.html
@@ -1,6 +1,7 @@
 {%extends "base.html"%}
+{%load pglister%}
 {%block content%}
-<h1>PostgreSQL mailing lists</h1>
+<h1>{% orgname %} mailing lists</h1>
 <h2>Unsubscribe</h2>
 <p>
 {{view.message}}
diff --git a/web/pglister/lists/templates/unsubscribe_help.html b/web/pglister/lists/templates/unsubscribe_help.html
index 3889ad0..a84867b 100644
--- a/web/pglister/lists/templates/unsubscribe_help.html
+++ b/web/pglister/lists/templates/unsubscribe_help.html
@@ -1,10 +1,11 @@
 {%extends "base.html"%}
+{%load pglister%}
 {%block content%}
-<h1>PostgreSQL mailing lists</h1>
+<h1>{% orgname %} mailing lists</h1>
 <h2>Unsubscribe</h2>
 <h3>With account</h3>
 <p>
-  If you have subscribed to a PostgreSQL mailinglist using your community account,
+  If you have subscribed to a {% orgname %} mailinglist using your community account,
   the easiest way to unsubscribe is to use the
   <a href="/manage/">manage subscriptions</a> page, logged in to the
   same account. If you have lost your password, you can use the lost
diff --git a/web/pglister/lists/templates/unsubscribe_link.html b/web/pglister/lists/templates/unsubscribe_link.html
index badce53..f9e2d98 100644
--- a/web/pglister/lists/templates/unsubscribe_link.html
+++ b/web/pglister/lists/templates/unsubscribe_link.html
@@ -1,6 +1,7 @@
 {%extends "base.html"%}
+{%load pglister%}
 {%block content%}
-<h1>PostgreSQL mailing lists</h1>
+<h1>{% orgname %} mailing lists</h1>
 <h2>Unsubscribe</h2>
 {%if not done%}
 <p>
-- 
2.33.1

